.order-view {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.order-view>h2 {
    margin-top: 5vh;
    font-size: clamp(.7rem, 8vw, 2rem);
}

.order-view .items {
    width: 80vw;
    margin-top: 4vh;
}

.order-view .info {
    background-color: var(--bg);
    padding: 1em;
    width: 75vw;
    margin-top: 2vh;
    border-radius: 1vh;
}

.order-view .info .contact {
    display: flex;
    flex-direction: column;
}

.order-view .info .contact a {
    text-decoration: none;
}

.order-view h1 {
    font-size: clamp(.8rem, 5vw, 1rem);
    color: var(--disabled);
}

.order-view h2 {
    font-size: clamp(1rem, 6vw, 1.5rem);
    color: var(--text-3);
}

.order-view h3 {
    font-size: clamp(.8rem, 4vw, 1rem);
    color: var(--text-1);
}

.order-view .badges {
    display: flex;
    margin-top: 1vh;
}

.order-view .items li {
    font-size: clamp(1rem, 6vw, 1.5rem);
    margin-bottom: 1.5vh;
}

.order-view .items p {
    font-size: clamp(.8rem, 5vw, 1rem);
    color: var(--disabled);
}

.order-view .actions {
    margin-top: 2vh;
    display: flex;
    flex-wrap: wrap;
    max-width: 80vw;
}

.order-view .actions button {
    padding: .5em 1em .5em 1em;
    margin: .5em;
}

.order-view .actions button:not(:last-child) {
    margin-right: 1vh;
}

.order-view>h3 {
    margin-top: 2vh;
    font-size: clamp(1rem, 6vw, 1.5rem);
    color: var(--text-2);
}

.order-view .note-popup {
    position: absolute;
    background-color: var(--bg-dark);
    border: solid 2px var(--bg);
    border-radius: 1vh;
    box-shadow: inset 0px 0px 12px 2px var(--bg-light);
    width: 80%;
    max-width: 30em;
    height: 25vh;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.order-view .note-popup h3 {
    margin-top: 1vh;
}

.order-view .note-popup textarea {
    width: 80%;
    height: 55%;

    border-radius: .75vh;
    background-color: var(--bg);
    outline: none;
    border: none;
}